Finding Objects
Evas » Generic Object Functions

Functions that allows finding objects by their position, name or other properties. More...

EVAS_API Evas_Object * | evas_object_top_at_pointer_get (const Evas *e)
| Retrieve the Evas object stacked at the top at the position of the mouse cursor, over a given canvas.

## Detailed Description

Functions that allows finding objects by their position, name or other properties.

## Function Documentation

## evas_object_top_at_pointer_get()

EVAS_API Evas_Object * evas_object_top_at_pointer_get | ( | const Evas * | e | ) |

Retrieve the Evas object stacked at the top at the position of the mouse cursor, over a given canvas.

Parameters

  e | A handle to the canvas.

Returns
  The Evas object that is over all other objects at the mouse pointer's position

This function will traverse all the layers of the given canvas, from top to bottom, querying for objects with areas covering the mouse pointer's position, over `e`.

Warning
  This function will skip objects parented by smart objects, acting only on the ones at the "top level", with regard to object parenting.

References EINA_POSITION2D, EINA_SAFETY_ON_NULL_RETURN_VAL, EINA_TRUE, and EVAS_CANVAS_CLASS.